> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minaexplorer.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Account Details

> Get the details of a Mina account



## OpenAPI

````yaml rest-api/openapi.json get /accounts/{public_key}
openapi: 3.0.0
info:
  title: REST API
  version: '1.0'
  contact:
    name: 'MinaExplorer '
    email: support@minaexplorer.com
    url: https://docs.minaexplorer.com/minaexplorer/get-help
  termsOfService: https://docs.minaexplorer.com/minaexplorer/website-terms-of-service
  description: >-
    A REST API for the latest Mina Blockchain Data. For all archived data, use
    the GraphQL API.
servers:
  - url: https://api.minaexplorer.com
security: []
tags:
  - name: broadcast
    description: Broadcast signed transactions to the network
  - name: blocks
    description: Get block data
  - name: accounts
    description: Get account data
  - name: blockchain
    description: Return summary information about the blockchain
paths:
  /accounts/{public_key}:
    parameters:
      - schema:
          type: string
        name: public_key
        in: path
        required: true
        description: Public key of the account
    get:
      tags:
        - accounts
      summary: Account Details
      description: Get the details of a Mina account
      operationId: get-wallet-public_key
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  account:
                    type: object
                    properties:
                      publicKey:
                        type: string
                        minLength: 1
                      balance:
                        type: object
                        properties:
                          total:
                            type: string
                            minLength: 1
                          unknown:
                            type: string
                            minLength: 1
                          lockedBalance: {}
                        required:
                          - total
                          - unknown
                      nonce:
                        type: number
                      receiptChainHash:
                        type: string
                        minLength: 1
                      delegate:
                        type: string
                        minLength: 1
                      votingFor:
                        type: string
                        minLength: 1
                      totalTx:
                        type: number
                      totalBlocks:
                        type: number
                      totalSnarks:
                        type: number
                      countPendingTransactions:
                        type: number
                      firstPendingTransaction:
                        type: array
                        items:
                          properties: {}
                      username:
                        type: string
                        minLength: 1
                      epochStakingAccount:
                        type: array
                        uniqueItems: true
                        minItems: 1
                        items:
                          required:
                            - pk
                            - balance
                            - delegate
                            - token
                            - receipt_chain_hash
                            - voting_for
                            - nonce
                            - epoch
                            - chainId
                            - public_key
                          properties:
                            pk:
                              type: string
                              minLength: 1
                            balance:
                              type: string
                              minLength: 1
                            delegate:
                              type: string
                              minLength: 1
                            token:
                              type: number
                            receipt_chain_hash:
                              type: string
                              minLength: 1
                            voting_for:
                              type: string
                              minLength: 1
                            nonce:
                              type: number
                            epoch:
                              type: number
                            chainId:
                              type: string
                              minLength: 1
                            public_key:
                              type: string
                              minLength: 1
                      nextEpochStakingAccount:
                        type: array
                        items:
                          properties: {}
                      epochDelegators:
                        type: array
                        uniqueItems: true
                        minItems: 1
                        items:
                          required:
                            - pk
                            - balance
                            - delegate
                            - token
                            - receipt_chain_hash
                            - voting_for
                            - nonce
                            - epoch
                            - chainId
                            - public_key
                          properties:
                            pk:
                              type: string
                              minLength: 1
                            balance:
                              type: string
                              minLength: 1
                            delegate:
                              type: string
                              minLength: 1
                            token:
                              type: number
                            receipt_chain_hash:
                              type: string
                              minLength: 1
                            voting_for:
                              type: string
                              minLength: 1
                            nonce:
                              type: number
                            epoch:
                              type: number
                            chainId:
                              type: string
                              minLength: 1
                            public_key:
                              type: string
                              minLength: 1
                      nextEpochDelegators:
                        type: array
                        items:
                          properties: {}
                      epochTotalStakingBalance:
                        type: string
                        minLength: 1
                      nextEpochTotalStakingBalance:
                        type: string
                        minLength: 1
                    required:
                      - publicKey
                      - balance
                      - nonce
                      - receiptChainHash
                      - delegate
                      - votingFor
                      - totalTx
                      - totalBlocks
                      - totalSnarks
                      - countPendingTransactions
                      - firstPendingTransaction
                      - username
                      - epochStakingAccount
                      - nextEpochStakingAccount
                      - epochDelegators
                      - nextEpochDelegators
                      - epochTotalStakingBalance
                      - nextEpochTotalStakingBalance
                required:
                  - account
              examples:
                Example:
                  value:
                    account:
                      publicKey: string
                      balance:
                        total: string
                        unknown: string
                        lockedBalance: null
                      nonce: 0
                      receiptChainHash: string
                      delegate: string
                      votingFor: string
                      totalTx: 0
                      totalBlocks: 0
                      totalSnarks: 0
                      countPendingTransactions: 0
                      firstPendingTransaction:
                        - {}
                      username: string
                      epochStakingAccount:
                        - pk: string
                          balance: string
                          delegate: string
                          token: 0
                          receipt_chain_hash: string
                          voting_for: string
                          nonce: 0
                          epoch: 0
                          chainId: string
                          public_key: string
                      nextEpochStakingAccount:
                        - {}
                      epochDelegators:
                        - pk: string
                          balance: string
                          delegate: string
                          token: 0
                          receipt_chain_hash: string
                          voting_for: string
                          nonce: 0
                          epoch: 0
                          chainId: string
                          public_key: string
                      nextEpochDelegators:
                        - {}
                      epochTotalStakingBalance: string
                      nextEpochTotalStakingBalance: string
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  message:
                    type: string
                    minLength: 1
                required:
                  - message
              examples:
                Account not found:
                  value:
                    message: No account found for that public key.

````